Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 10774)
@@ -894,4 +894,6 @@
       ENDDO ! ib_bdy 
 
+      IF(lwp .AND. lflush) CALL flush(numout)
+
       IF( nn_timing == 1 ) CALL timing_stop('bdy_dta_init')
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 10774)
@@ -110,7 +110,10 @@
       IF( nn_timing == 1 ) CALL timing_start('bdy_init')
 
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'bdy_init : initialization of open boundaries'
-      IF(lwp) WRITE(numout,*) '~~~~~~~~'
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'bdy_init : initialization of open boundaries'
+         WRITE(numout,*) '~~~~~~~~'
+         IF(lflush) CALL flush(numout)
+      ENDIF
       !
 
@@ -1348,4 +1351,6 @@
       ENDIF
 
+      IF(lwp .AND. lflush) CALL flush(numout)
+
       CALL wrk_dealloc(jpi,jpj,zfmask) 
 
@@ -1722,4 +1727,6 @@
       IF ((itest==0).AND.(lwp)) WRITE(numout,*) 'NO open boundary corner found'
       !
+      IF(lwp. AND. lflush) CALL flush(numout)
+      !
       ! Other tests TBD: 
       ! segments completly on land
@@ -1757,4 +1764,5 @@
          IF(lwp) WRITE(numout,*) ' ==========  have different open bdy schemes'                                                  
          IF(lwp) WRITE(numout,*)
+         IF(lflush) CALL flush(numout)
          nstop = nstop + 1
       ENDIF
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 10774)
@@ -99,4 +99,5 @@
          IF(lwp) WRITE(numout,*) 'bdytide_init : initialization of tidal harmonic forcing at open boundaries'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -120,16 +121,17 @@
             IF(lwm .AND. nprint > 2) WRITE ( numond, nambdy_tide )
             !                                               ! Parameter control and print
-            IF(lwp) WRITE(numout,*) '  '
-            IF(lwp) WRITE(numout,*) '          Namelist nambdy_tide : tidal harmonic forcing at open boundaries'
-            IF(lwp) WRITE(numout,*) '             read tidal data in 2d files: ', ln_bdytide_2ddta
-            IF(lwp) WRITE(numout,*) '             assume complex conjugate   : ', ln_bdytide_conj
-            IF(lwp) WRITE(numout,*) '             Number of tidal components to read: ', nb_harmo
-            IF(lwp) THEN 
-                    WRITE(numout,*) '             Tidal components: ' 
+            IF(lwp) THEN
+               WRITE(numout,*) '  '
+               WRITE(numout,*) '          Namelist nambdy_tide : tidal harmonic forcing at open boundaries'
+               WRITE(numout,*) '             read tidal data in 2d files: ', ln_bdytide_2ddta
+               WRITE(numout,*) '             assume complex conjugate   : ', ln_bdytide_conj
+               WRITE(numout,*) '             Number of tidal components to read: ', nb_harmo
+               WRITE(numout,*) '             Tidal components: ' 
                DO itide = 1, nb_harmo
                   WRITE(numout,*)  '                 ', Wave(ntide(itide))%cname_tide 
                END DO
-            ENDIF 
-            IF(lwp) WRITE(numout,*) ' '
+               WRITE(numout,*) ' '
+               IF(lflush) CALL flush(numout)
+            ENDIF
 
             ! Allocate space for tidal harmonics data - get size from OBC data arrays
@@ -333,4 +335,5 @@
            WRITE(numout,*) 'bdytide_update : (re)Initialization of the tidal bdy forcing at kt=',kt
            WRITE(numout,*) '~~~~~~~~~~~~~~ '
+           IF(lflush) CALL flush(numout)
         ENDIF
         !
@@ -448,4 +451,5 @@
                WRITE(numout,*) 'bdy_tide_dta : Refresh nodal factors for tidal open bdy data at kt=',kt
                WRITE(numout,*) '~~~~~~~~~~~~~~ '
+               IF(lflush) CALL flush(numout)
                ENDIF
                !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdyvol.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdyvol.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdyvol.F90	(revision 10774)
@@ -87,4 +87,5 @@
          IF(lwp) WRITE(numout,*)'bdy_vol : Correction of velocities along unstructured OBC'
          IF(lwp) WRITE(numout,*)'~~~~~~~'
+         IF(lflush) CALL flush(numout)
       END IF 
 
@@ -164,4 +165,5 @@
          IF(lwp) WRITE(numout,*)'          correction velocity zubtpecor =', zubtpecor , '(m/s)'
          IF(lwp) WRITE(numout,*)'          cumulated transport ztranst   =', ztranst   , '(m3/s)'
+         IF(lflush) CALL flush(numout)
       END IF 
       !
